# loki.transformations.transpile.tests.test_sdfg

Functions

`create_sdfg`(routine, tmp_path) |
`load_module`(path) |
`test_sdfg_routine_axpy_scalar`(tmp_path, frontend) |
`test_sdfg_routine_copy`(tmp_path, frontend) |
`test_sdfg_routine_copy_stream`(tmp_path, frontend) |
`test_sdfg_routine_fixed_loop`(tmp_path, frontend) |
`test_sdfg_routine_loop_carried_dependency`(...) |
`test_sdfg_routine_moving_average`(tmp_path, ...) |

load_module(path)

create_sdfg(routine, tmp_path)

test_sdfg_routine_copy(tmp_path, frontend)

test_sdfg_routine_axpy_scalar(tmp_path, frontend)

test_sdfg_routine_copy_stream(tmp_path, frontend)

test_sdfg_routine_fixed_loop(tmp_path, frontend)

test_sdfg_routine_loop_carried_dependency(tmp_path, frontend)

test_sdfg_routine_moving_average(tmp_path, frontend)